server:
  port: 5909
###################  spring配置  ###################
spring:
  datasource:
    driver-class-name: com.mysql.cj.jdbc.Driver
    url: jdbc:mysql://111.198.10.15:11336/casic_metering?useUnicode=true&characterEncoding=utf8&allowMultiQueries=true&serverTimezone=UTC&&allowMultiQueries=true&nullCatalogMeansCurrent=true
    username: root
    password: Casic203
#jms:
#  pub-sub-domain: true
# session:
#   store-type: redis
# redis:
#   host: 111.198.10.15
#   port: 11412
#   password: ew5T4K3#203lwh
#   serializer: org.springframework.data.redis.serializer.StringRedisSerializer
#   redisValueSerializer: org.springframework.data.redis.serializer.JdkSerializationRedisSerializer
casic:
  #kaptcha-open: false #是否开启登录时验证码 (true/false)
  no-login-urls: /**/**,${casic.sysUrl}/user/login,${casic.sysUrl}/user/appLogin,${casic.sysUrl}/kaptcha/base64,${casic.sysUrl}/config/baseConfig,/route/mockToken
  #flowable数据源和多数据源配置
  db:
    init:
      enable: false
  #图片下载本地地址
  file:
    uploadPath: D:\tmp\

logging:
  level.root: info
  level.com.casic: debug
  level.org.springframework.web: info